This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 206937 - CVE-2006-4020 PHP buffer overread flaw
CVE-2006-4020 PHP buffer overread flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=moderate,source=gentoo,reporte...
: Security
Depends On: 201766
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-18 06:39 EDT by Joe Orton
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0682
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 06:44:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-09-18 06:39:26 EDT
+++ This bug was initially created as a clone of Bug #201766 +++

PHP buffer overflow flaw

A buffer overflow flaw was found in the way PHP executes an argument
swap via the sscanf function.  The below URLs contain more
information.

http://bugs.php.net/bug.php?id=38322
http://www.securityfocus.com/archive/1/442438/30/0/threaded
http://bugs.gentoo.org/show_bug.cgi?id=143126


This issue also affects RHEL3
This issue also affects RHEL2.1

-- Additional comment from bressers@redhat.com on 2006-08-09 08:35 EST --
The upstream patch is here:
http://cvs.php.net/viewvc.cgi/php-src/ext/standard/scanf.c?r1=1.31.2.2&r2=1.31.2.2.2.1
Comment 4 Red Hat Bugzilla 2006-09-21 06:44:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0682.html

Note You need to log in before you can comment on or make changes to this bug.